﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using CSFramework_ADO2.Library;
using CSFramework_ADO2.Interfaces;

/*
 版权:C/S框架网 www.csframework.com
 * 
 * 测试模块(MyTestModule)主窗体定义
 */
namespace CSFramework_ADO2.MyTestModule
{
    public partial class frmModuleMainform : CSFramework_ADO2.Library.frmModuleBase
    {
        public frmModuleMainform()
        {
            InitializeComponent();

            //主菜单的名称必须与模块名一致
            menuStrip1.Items[0].Text = ModuleNames.MyTestModule;
        }

        public override MenuStrip GetModuleMenu()
        {
            return this.menuStrip1;
        }

        private void menuItemOpenDataDict_Click(object sender, EventArgs e)
        {
            //点击菜单打开窗体的事件 - 打开数据字典窗体
            MdiTools.OpenChildForm(this.MdiParent as IMdiForm, typeof(frmDataDict), sender as ToolStripMenuItem);
        }

        private void menuItemOpenBusiness_Click(object sender, EventArgs e)
        {
            //点击菜单打开窗体的事件 -打开业务单据窗体
            MdiTools.OpenChildForm(this.MdiParent as IMdiForm, typeof(frmBusiness), sender as ToolStripMenuItem);
        }
    }
}
